Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80692 - Allowing .htaccess overrides creates httpd.conf syntax error
Summary: Allowing .htaccess overrides creates httpd.conf syntax error
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-httpd
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-30 00:16 UTC by Matthew J. Mellon
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-06 15:48:14 UTC


Attachments (Terms of Use)

Description Matthew J. Mellon 2002-12-30 00:16:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Checking the box to allow .htaccess overrides creates a line of the form

AllowOverride from all

in /etc/httpd/conf/httpd.conf. The proper syntax is:

AllowOverride [options]

"from" is not a legal option in httpd 2 or 1.3.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
In X:
1. Check the box to allow .htaccess overrides in any directory configuration dialog.
Then from bash:
2. su -
3. service httpd restart
    

Actual Results:  [root@mellon conf]# service httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd: Syntax error on line 975 of /etc/httpd/conf/httpd.conf:
Illegal override option from
                                                           [FAILED]


Expected Results:  [root@mellon conf]# service httpd restart
Stopping httpd:                                            [  OK  ]            
                               
Starting httpd:                                            [  OK  ]

Additional info:

Comment 1 Phil Knirsch 2003-02-06 15:48:14 UTC
Fixed in CVS, new rawhide package will appear real soon now.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.